/*
 * Copyright 2019 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.android.overtheair.spi.v1.stub;

import com.google.android.overtheair.v1.Chart;
import com.google.android.overtheair.v1.Config;
import com.google.android.overtheair.v1.CreateConfigRequest;
import com.google.android.overtheair.v1.CreateGroupMemberRequest;
import com.google.android.overtheair.v1.CreateGroupMembersRequest;
import com.google.android.overtheair.v1.CreateGroupMembersResponse;
import com.google.android.overtheair.v1.CreateGroupRequest;
import com.google.android.overtheair.v1.DeleteConfigRequest;
import com.google.android.overtheair.v1.DeleteConfigResponse;
import com.google.android.overtheair.v1.DeleteGroupMemberRequest;
import com.google.android.overtheair.v1.DeleteGroupMemberResponse;
import com.google.android.overtheair.v1.DeleteGroupMembersRequest;
import com.google.android.overtheair.v1.DeleteGroupMembersResponse;
import com.google.android.overtheair.v1.DeleteGroupRequest;
import com.google.android.overtheair.v1.DeleteGroupResponse;
import com.google.android.overtheair.v1.DeletePackageRequest;
import com.google.android.overtheair.v1.DeletePackageResponse;
import com.google.android.overtheair.v1.Deployment;
import com.google.android.overtheair.v1.DisableAllEnabledGroupsOfConfigRequest;
import com.google.android.overtheair.v1.DisableAllEnabledGroupsOfConfigResponse;
import com.google.android.overtheair.v1.DisableGroupsRequest;
import com.google.android.overtheair.v1.DisableGroupsResponse;
import com.google.android.overtheair.v1.EnableGroupsRequest;
import com.google.android.overtheair.v1.EnableGroupsResponse;
import com.google.android.overtheair.v1.GetConfigRequest;
import com.google.android.overtheair.v1.GetDeploymentRequest;
import com.google.android.overtheair.v1.GetGroupChartRequest;
import com.google.android.overtheair.v1.GetGroupMemberRequest;
import com.google.android.overtheair.v1.GetGroupRequest;
import com.google.android.overtheair.v1.GetPackageRequest;
import com.google.android.overtheair.v1.Group;
import com.google.android.overtheair.v1.GroupMember;
import com.google.android.overtheair.v1.ListConfigPackagesRequest;
import com.google.android.overtheair.v1.ListConfigPackagesResponse;
import com.google.android.overtheair.v1.ListConfigsRequest;
import com.google.android.overtheair.v1.ListConfigsResponse;
import com.google.android.overtheair.v1.ListConfigsUsingPackageRequest;
import com.google.android.overtheair.v1.ListConfigsUsingPackageResponse;
import com.google.android.overtheair.v1.ListDeploymentsRequest;
import com.google.android.overtheair.v1.ListDeploymentsResponse;
import com.google.android.overtheair.v1.ListGroupChartsRequest;
import com.google.android.overtheair.v1.ListGroupChartsResponse;
import com.google.android.overtheair.v1.ListGroupConfigsRequest;
import com.google.android.overtheair.v1.ListGroupConfigsResponse;
import com.google.android.overtheair.v1.ListGroupMembersRequest;
import com.google.android.overtheair.v1.ListGroupMembersResponse;
import com.google.android.overtheair.v1.ListGroupsRequest;
import com.google.android.overtheair.v1.ListGroupsResponse;
import com.google.android.overtheair.v1.ListPackagesRequest;
import com.google.android.overtheair.v1.ListPackagesResponse;
import com.google.android.overtheair.v1.UpdateConfigPackagesRequest;
import com.google.android.overtheair.v1.UpdateConfigPackagesResponse;
import com.google.android.overtheair.v1.UpdateConfigRequest;
import com.google.android.overtheair.v1.UpdateDeploymentRequest;
import com.google.android.overtheair.v1.UpdateGroupConfigsRequest;
import com.google.android.overtheair.v1.UpdateGroupConfigsResponse;
import com.google.android.overtheair.v1.UpdateGroupRequest;
import com.google.android.overtheair.v1.UpdatePackageRequest;
import com.google.api.core.BetaApi;
import com.google.api.gax.core.BackgroundResource;
import com.google.api.gax.rpc.UnaryCallable;
import javax.annotation.Generated;

// AUTO-GENERATED DOCUMENTATION AND CLASS
/**
 * Base stub class for Google Android Over the Air API.
 *
 * <p>This class is for advanced usage and reflects the underlying API directly.
 */
@Generated("by gapic-generator")
@BetaApi("A restructuring of stub classes is planned, so this may break in the future")
public abstract class OverTheAirServiceStub implements BackgroundResource {

  public UnaryCallable<GetDeploymentRequest, Deployment> getDeploymentCallable() {
    throw new UnsupportedOperationException("Not implemented: getDeploymentCallable()");
  }

  public UnaryCallable<ListDeploymentsRequest, ListDeploymentsResponse> listDeploymentsCallable() {
    throw new UnsupportedOperationException("Not implemented: listDeploymentsCallable()");
  }

  public UnaryCallable<UpdateDeploymentRequest, Deployment> updateDeploymentCallable() {
    throw new UnsupportedOperationException("Not implemented: updateDeploymentCallable()");
  }

  public UnaryCallable<GetPackageRequest, com.google.android.overtheair.v1.Package>
      getPackageCallable() {
    throw new UnsupportedOperationException("Not implemented: getPackageCallable()");
  }

  public UnaryCallable<ListPackagesRequest, ListPackagesResponse> listPackagesCallable() {
    throw new UnsupportedOperationException("Not implemented: listPackagesCallable()");
  }

  public UnaryCallable<DeletePackageRequest, DeletePackageResponse> deletePackageCallable() {
    throw new UnsupportedOperationException("Not implemented: deletePackageCallable()");
  }

  public UnaryCallable<UpdatePackageRequest, com.google.android.overtheair.v1.Package>
      updatePackageCallable() {
    throw new UnsupportedOperationException("Not implemented: updatePackageCallable()");
  }

  public UnaryCallable<CreateConfigRequest, Config> createConfigCallable() {
    throw new UnsupportedOperationException("Not implemented: createConfigCallable()");
  }

  public UnaryCallable<GetConfigRequest, Config> getConfigCallable() {
    throw new UnsupportedOperationException("Not implemented: getConfigCallable()");
  }

  public UnaryCallable<ListConfigsRequest, ListConfigsResponse> listConfigsCallable() {
    throw new UnsupportedOperationException("Not implemented: listConfigsCallable()");
  }

  public UnaryCallable<DeleteConfigRequest, DeleteConfigResponse> deleteConfigCallable() {
    throw new UnsupportedOperationException("Not implemented: deleteConfigCallable()");
  }

  public UnaryCallable<UpdateConfigRequest, Config> updateConfigCallable() {
    throw new UnsupportedOperationException("Not implemented: updateConfigCallable()");
  }

  public UnaryCallable<CreateGroupRequest, Group> createGroupCallable() {
    throw new UnsupportedOperationException("Not implemented: createGroupCallable()");
  }

  public UnaryCallable<GetGroupRequest, Group> getGroupCallable() {
    throw new UnsupportedOperationException("Not implemented: getGroupCallable()");
  }

  public UnaryCallable<ListGroupsRequest, ListGroupsResponse> listGroupsCallable() {
    throw new UnsupportedOperationException("Not implemented: listGroupsCallable()");
  }

  public UnaryCallable<DeleteGroupRequest, DeleteGroupResponse> deleteGroupCallable() {
    throw new UnsupportedOperationException("Not implemented: deleteGroupCallable()");
  }

  public UnaryCallable<UpdateGroupRequest, Group> updateGroupCallable() {
    throw new UnsupportedOperationException("Not implemented: updateGroupCallable()");
  }

  public UnaryCallable<DisableGroupsRequest, DisableGroupsResponse> disableGroupsCallable() {
    throw new UnsupportedOperationException("Not implemented: disableGroupsCallable()");
  }

  public UnaryCallable<EnableGroupsRequest, EnableGroupsResponse> enableGroupsCallable() {
    throw new UnsupportedOperationException("Not implemented: enableGroupsCallable()");
  }

  public UnaryCallable<CreateGroupMemberRequest, GroupMember> createGroupMemberCallable() {
    throw new UnsupportedOperationException("Not implemented: createGroupMemberCallable()");
  }

  public UnaryCallable<CreateGroupMembersRequest, CreateGroupMembersResponse>
      createGroupMembersCallable() {
    throw new UnsupportedOperationException("Not implemented: createGroupMembersCallable()");
  }

  public UnaryCallable<GetGroupMemberRequest, GroupMember> getGroupMemberCallable() {
    throw new UnsupportedOperationException("Not implemented: getGroupMemberCallable()");
  }

  public UnaryCallable<ListGroupMembersRequest, ListGroupMembersResponse>
      listGroupMembersCallable() {
    throw new UnsupportedOperationException("Not implemented: listGroupMembersCallable()");
  }

  public UnaryCallable<DeleteGroupMemberRequest, DeleteGroupMemberResponse>
      deleteGroupMemberCallable() {
    throw new UnsupportedOperationException("Not implemented: deleteGroupMemberCallable()");
  }

  public UnaryCallable<DeleteGroupMembersRequest, DeleteGroupMembersResponse>
      deleteGroupMembersCallable() {
    throw new UnsupportedOperationException("Not implemented: deleteGroupMembersCallable()");
  }

  public UnaryCallable<GetGroupChartRequest, Chart> getGroupChartCallable() {
    throw new UnsupportedOperationException("Not implemented: getGroupChartCallable()");
  }

  public UnaryCallable<ListGroupChartsRequest, ListGroupChartsResponse> listGroupChartsCallable() {
    throw new UnsupportedOperationException("Not implemented: listGroupChartsCallable()");
  }

  public UnaryCallable<ListGroupConfigsRequest, ListGroupConfigsResponse>
      listGroupConfigsCallable() {
    throw new UnsupportedOperationException("Not implemented: listGroupConfigsCallable()");
  }

  public UnaryCallable<UpdateGroupConfigsRequest, UpdateGroupConfigsResponse>
      updateGroupConfigsCallable() {
    throw new UnsupportedOperationException("Not implemented: updateGroupConfigsCallable()");
  }

  public UnaryCallable<
          DisableAllEnabledGroupsOfConfigRequest, DisableAllEnabledGroupsOfConfigResponse>
      disableAllEnabledGroupsOfConfigCallable() {
    throw new UnsupportedOperationException(
        "Not implemented: disableAllEnabledGroupsOfConfigCallable()");
  }

  public UnaryCallable<ListConfigPackagesRequest, ListConfigPackagesResponse>
      listConfigPackagesCallable() {
    throw new UnsupportedOperationException("Not implemented: listConfigPackagesCallable()");
  }

  public UnaryCallable<UpdateConfigPackagesRequest, UpdateConfigPackagesResponse>
      updateConfigPackagesCallable() {
    throw new UnsupportedOperationException("Not implemented: updateConfigPackagesCallable()");
  }

  public UnaryCallable<ListConfigsUsingPackageRequest, ListConfigsUsingPackageResponse>
      listConfigsUsingPackageCallable() {
    throw new UnsupportedOperationException("Not implemented: listConfigsUsingPackageCallable()");
  }

  @Override
  public abstract void close();
}
